{% extends "./plantilla.html" %}
{% load static %}

{% block contenido %}
<div class="row">
  <div class="col-md-2">
  </div>
  <div class="col-md-8">
    <br> <br>
    <form class="" action="/procesarActualizacionCurso/" method="post" enctype="multipart/form-data">
      {% csrf_token %}
      <b>Seleccione la carrera</b>
      <select class="form-control" name="carreraSEDP" id="carreraSEDP" required>
        {% for carrera in carreras %}
        <option value="{{ carrera.idCarreraSEDP }}">{{ carrera.nombreCarreraSEDP }}</option>
        {% endfor %}
      </select>

      <b>Nivel</b>
      <input type="text" name="nivelCursoSEDP" id="nivelCursoSEDP"
      value="{{ curso.nivelCursoSEDP }}" placeholder="Ingrese el nivel del curso"
      class="form-control" required>

      <b>Descripción</b>
      <textarea name="descripcionCursoSEDP" id="descripcionCursoSEDP" placeholder="Ingrese la descripción del curso" class="form-control" required>{{ curso.descripcionCursoSEDP }}</textarea>

      <b>Aula</b>
      <input type="text" name="aulaCursoSEDP" id="aulaCursoSEDP"
      value="{{ curso.aulaCursoSEDP }}" placeholder="Ingrese el aula del curso"
      class="form-control" required>

      <div class="mb-3">
          <label for="modalidadCursoSEDP" class="form-label"><b>Modalidad:</b></label>
          <select name="modalidadCursoSEDP" id="modalidadCursoSEDP" class="form-select" required>
              <option value="presencial" {% if curso.modalidadCursoSEDP == 'presencial' %} selected {% endif %}>Presencial</option>
              <option value="en_linea" {% if curso.modalidadCursoSEDP == 'en_linea' %} selected {% endif %}>En línea</option>
              <option value="hibrida" {% if curso.modalidadCursoSEDP == 'hibrida' %} selected {% endif %}>Híbrida</option>
              <option value="asincronica" {% if curso.modalidadCursoSEDP == 'asincronica' %} selected {% endif %}>Asincrónica</option>
          </select>
          <div id="modalidadError" class="text-danger"></div>
      </div>

      <b>Promedio</b>
      <input type="number" name="promedioCursoSEDP" id="promedioCursoSEDP"
      value="{{ curso.promedioCursoSEDP }}" placeholder="Ingrese el promedio del curso"
      class="form-control" required>

      <br>
      <input type="hidden" name="idCursoSEDP"  value="{{ curso.idCursoSEDP }}">

      <center>
        <button type="submit" name="button"
        class="btn btn-warning">
          &nbsp;&nbsp;&nbsp;Editar&nbsp;&nbsp;&nbsp;
        </button>&nbsp;&nbsp;&nbsp;&nbsp;
        <a href="/listadoCursos/"
        class="btn btn-danger">
          Cancelar
        </a>
      </center>
    </form>
  </div>
</div>
{% endblock %}
